import React from 'react';
import styled from 'styled-components';

const TipsContainer = styled.div`
  position: relative;
  &:hover {
    .tooltip-wapper-top {
      display: flex;
    }
  }
  .tooltip-wapper {
    display: none;
    position: absolute;
    .tooltip-content {
      background-color: #000a;
      border-radius: 4px;
      color: #fff;
      padding: 8px 10px;
      white-space: nowrap;
      user-select: all;
      cursor: text;
    }
    .tooltip-arrow {
      width: 20px;
      height: 20px;
      position: absolute;
    }
  }
  .tooltip-wapper-top {
    left: 50%;
    top: 0;
    transform: translate(-50%, calc(-100% - 6px));

    .tooltip-arrow {
      left: 50%;
      bottom: 0;
      transform: translate(-50%, 10px);
    }
  }
`;

export const Tooltip = (props: any) => {
  const { content = '', children } = props;
  const position = 'top';
  return (
    <TipsContainer {...props}>
      <div className={`tooltip-wapper tooltip-wapper-${position}`}>
        <div className="tooltip-arrow" />
        <div className="tooltip-content">
          {content}
        </div>
      </div>
      {children}
    </TipsContainer>
  );
};