export interface IContextMenuUIItem {
  text: string;
  key: string;
  tips?: React.ReactNode;
  shortcutKeyDesc?: React.ReactNode;
  disable?: boolean;
  hide?: boolean;
  icon?: React.ReactNode;
  // 用户用来透传自定义数据的属性
  customData?: any;
  children?: IContextMenuUIItem[];
}

export interface IContextMenuItem {
  key: string;
  text: string | ((ctx: ITriggerContext) => string);
  disable?: boolean | ((ctx: ITriggerContext) => boolean);
  hide?: boolean | ((ctx: ITriggerContext) => boolean);
  tips?: React.ReactNode | ((ctx: ITriggerContext) => React.ReactNode);
  icon?: React.ReactNode | ((ctx: ITriggerContext) => React.ReactNode);
  shortcutKeyDesc?: React.ReactNode;
  // 用户用来透传自定义数据的属性
  customData?: any;
  children?:
    | IContextMenuItem[]
    | ((ctx: ITriggerContext) => IContextMenuItem[]);
}

export interface Point {
  x: number;
  y: number;
}

export type ITriggerContext = Record<string, any>;
